Skip to Content
API ReferenceCoupons

Batch delete coupons

Delete multiple coupons in one request by sending the coupon IDs in resources.

Delete multiple coupons in one request by sending the coupon IDs in resources.

DELETE
/v2/coupons/batch

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Query Parameters

with_trashed?boolean

Include soft-deleted resources in the result.

Defaultfalse
only_trashed?boolean

Return only soft-deleted resources. Ignored when with_trashed is true.

Defaultfalse

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
resources*array<integer>

Response Body

Successful response.

application/json
  1. response
data*array<>
Example Request
curl -X DELETE 'https://sell.app/api/v2/coupons/batch' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "resources": [    1,    2  ]}'
{  "data": [    {      "id": 1,      "code": "BONANZA",      "type": "PERCENTAGE",      "discount": "80",      "limit": null,      "store_wide": true,      "minimum_amount": null,      "expires_at": null,      "created_at": "2022-12-12T12:12:12.000000Z",      "updated_at": "2026-08-30T12:00:01.000000Z",      "store_id": 1,      "deleted_at": "2026-08-30T12:00:01.000000Z",      "products": [],      "product_variants": [],      "maximum_discount_amount": null,      "applies_to": "one_time",      "subscription_payments": null    },    {      "id": 2,      "code": "BONANZA2",      "type": "PERCENTAGE",      "discount": "80",      "limit": null,      "store_wide": true,      "minimum_amount": null,      "expires_at": null,      "created_at": "2022-12-12T12:12:12.000000Z",      "updated_at": "2026-08-30T12:00:01.000000Z",      "store_id": 1,      "deleted_at": "2026-08-30T12:00:01.000000Z",      "products": [],      "product_variants": [],      "maximum_discount_amount": null,      "applies_to": "one_time",      "subscription_payments": null    }  ]}